# bhdupload

Script to upload Movies to BHD

- Takes screenshots and uploads them to imgbox
    - Outputs to the console incase you need it later
- Searches BHD for the TMDB and IMDB IDs
- Creates a torrent of the file
- Uploads to Drafts on BHD so you can run it on a list, and then do a quick once over to confirm its 'up-to-par'


## Dependancies
```
imgbox-cli (via pip)
mediainfo (via your package manager)
mktorrent (via your package manager)
```


## Installing
```
git clone https://git.concertos.live/pwgen/bhdupload bhdupload
# edit your .env file with your passkey & apikey
cd bhdupload

# setup python environment (optional)
virtualenv env
source env/bin/activate

# install our deps
pip install -r requirements.txt

# Run it!
bhduploader.py --help

```


## Running

```
usage: bhduploader.py [-h] [-m SCREENSHOT] [-c COUNT] [-u] [-t] input                                      

positional arguments:
  input          Input file

optional arguments:
  -h, --help     show this help message and exit
  -m SCREENSHOT  Time to screenshot
  -c COUNT       Amount of screenshots to take
  -u             Create & Upload Screenshots
  -t             Create Torrent File



Examples:

# Create 5 images from the first 900 seconds, upload them, create a torrent & upload to drafts BHD
bhduploader -c 5 -m 900 -u -t  Movie.File.mkv

# Create a torrent file & upload to (drafts) BHD
bhduploader -t Movie.File.mkv
```